Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Individuals.FitnessPackage
Interface Fitness

All Superinterfaces:
  java.lang.Comparable<Fitness>

All Known Subinterfaces:
  DoubleFitness, IntFitness

All Known Implementing Classes:
  BasicFitness

    public interface Fitness

extends java.lang.Comparable<Fitness>

Interface for Fitness. Contains methods for getting and setting the max and min fitness measurements for Integer and Double types.

Author:
  Blip

Method Summary
`double` | `getDouble()`
`Individual` | `getIndividual()` Get the individual that is refered to by the fitness
`int` | `getInt()`
`double` | `getMaxDoubleFitness()`
`int` | `getMaxIntFitness()`
`double` | `getMinDoubleFitness()`
`int` | `getMinIntFitness()`
`void` | `setDefault()` Set the default value of fitness.
`void` | `setDouble(double f)`
`void` | `setIndividual(Individual i)` Set individual to which the fitness belongs
`void` | `setInt(int f)`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getIndividual

    Individual getIndividual()

  Get the individual that is refered to by the fitness

  Returns:
    individual to which the fitness belongs

### setIndividual

    void setIndividual(Individual i)

  Set individual to which the fitness belongs

  Parameters:
    `i` - individual to which the fitness belongs

### getDouble

    double getDouble()

### setDouble

    void setDouble(double f)

### getInt

    int getInt()

### setInt

    void setInt(int f)

### getMaxDoubleFitness

    double getMaxDoubleFitness()

### getMinDoubleFitness

    double getMinDoubleFitness()

### getMaxIntFitness

    int getMaxIntFitness()

### getMinIntFitness

    int getMinIntFitness()

### setDefault

    void setDefault()

  Set the default value of fitness. This can be given to unevaluated individuals, such as newly created or invalids

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD